ConversionUtil
Date: 2013-06-24

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.contentmanagement.storagelayer.storagemanagementservice.impl.util
Class ConversionUtil

    java.lang.Object
      org.gcube.contentmanagement.storagelayer.storagemanagementservice.impl.util.ConversionUtil

    public class ConversionUtil

extends java.lang.Object

Conversion utility methods.

Author:
  Federico De Faveri defaveri@isti.cnr.it

Constructor Summary
`ConversionUtil()`

Method Summary
`static StorageHint[]` | `convertHints(BasicStorageHints hints)`
`static BasicStorageHints` | `convertHints(java.util.List<StorageHint> hints)`
`static BasicStorageHints` | `convertHints(StorageHint[] hints)`
`static InfoObjectDescription` | `convertInfoObject(BasicInfoObjectDescription info)`
`static InfoObjectTree` | `convertInfoObjectTree(BasicInfoObjectDescription info)`
`static PropertyDescription[]` | `convertProperties(java.util.Map<java.lang.String,BasicPropertyDescription> properties)`
`static PropertyDescription` | `convertProperty(BasicPropertyDescription prop)`
`static InfoObjectDescription` | `convertReduced(BasicInfoObjectDescription info)`
`static ReferenceDescription` | `convertReference(BasicReferenceDescription ref)`
`static ReferenceDescription[]` | `convertReferences(java.util.List<BasicReferenceDescription> references)`
`static ArrayOfString` | `convertStringCollection(java.util.Collection strings)`
`static GCUBEUnrecoverableValueNotValidFault` | `convertToGCUBEFault(InvalidHintException e)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConversionUtil

    public ConversionUtil()

Method Detail

### convertInfoObject

    public static InfoObjectDescription convertInfoObject(BasicInfoObjectDescription info)

### convertInfoObjectTree

    public static InfoObjectTree convertInfoObjectTree(BasicInfoObjectDescription info)

### convertReferences

    public static ReferenceDescription[] convertReferences(java.util.List<BasicReferenceDescription> references)

### convertReference

    public static ReferenceDescription convertReference(BasicReferenceDescription ref)

### convertProperties

    public static PropertyDescription[] convertProperties(java.util.Map<java.lang.String,BasicPropertyDescription> properties)

### convertProperty

    public static PropertyDescription convertProperty(BasicPropertyDescription prop)

### convertReduced

    public static InfoObjectDescription convertReduced(BasicInfoObjectDescription info)

### convertHints

    public static BasicStorageHints convertHints(StorageHint[] hints)
                                          throws InvalidHintException

  Throws:
    `InvalidHintException`

### convertHints

    public static BasicStorageHints convertHints(java.util.List<StorageHint> hints)
                                          throws InvalidHintException

  Throws:
    `InvalidHintException`

### convertToGCUBEFault

    public static GCUBEUnrecoverableValueNotValidFault convertToGCUBEFault(InvalidHintException e)

### convertHints

    public static StorageHint[] convertHints(BasicStorageHints hints)

### convertStringCollection

    public static ArrayOfString convertStringCollection(java.util.Collection strings)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD